# DataExchange
TKSTEP
TopoDSToStep

# TopoDSToStep_Tool Class Reference

This Tool Class provides Information to build
a ProSTEP Shape model from a Cas.Cad BRep.
.

`#include <TopoDSToStep_Tool.hxx>`

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | TopoDSToStep_Tool ()
Standard_EXPORT | TopoDSToStep_Tool (const MoniTool_DataMapOfShapeTransient &M, const Standard_Boolean FacetedContext)
Standard_EXPORT void | Init (const MoniTool_DataMapOfShapeTransient &M, const Standard_Boolean FacetedContext)
Standard_EXPORT Standard_Boolean | IsBound (const TopoDS_Shape &S)
Standard_EXPORT void | Bind (const TopoDS_Shape &S, const Handle(StepShape_TopologicalRepresentationItem)&T)
Standard_EXPORT Handle_StepShape_TopologicalRepresentationItem | Find (const TopoDS_Shape &S)
Standard_EXPORT Standard_Boolean | Faceted () const
Standard_EXPORT void | SetCurrentShell (const TopoDS_Shell &S)
Standard_EXPORT const TopoDS_Shell & | CurrentShell () const
Standard_EXPORT void | SetCurrentFace (const TopoDS_Face &F)
Standard_EXPORT const TopoDS_Face & | CurrentFace () const
Standard_EXPORT void | SetCurrentWire (const TopoDS_Wire &W)
Standard_EXPORT const TopoDS_Wire & | CurrentWire () const
Standard_EXPORT void | SetCurrentEdge (const TopoDS_Edge &E)
Standard_EXPORT const TopoDS_Edge & | CurrentEdge () const
Standard_EXPORT void | SetCurrentVertex (const TopoDS_Vertex &V)
Standard_EXPORT const TopoDS_Vertex & | CurrentVertex () const
Standard_EXPORT Standard_Real | Lowest3DTolerance () const
Standard_EXPORT void | SetSurfaceReversed (const Standard_Boolean B)
Standard_EXPORT Standard_Boolean | SurfaceReversed () const
Standard_EXPORT const MoniTool_DataMapOfShapeTransient & | Map () const
Standard_EXPORT Standard_Integer | PCurveMode () const
| Returns mode for writing pcurves (initialized by parameter write.surfacecurve.mode) .

## Private Attributes

MoniTool_DataMapOfShapeTransient | myDataMap
Standard_Boolean | myFacetedContext
Standard_Real | myLowestTol
TopoDS_Shell | myCurrentShell
TopoDS_Face | myCurrentFace
TopoDS_Wire | myCurrentWire
TopoDS_Edge | myCurrentEdge
TopoDS_Vertex | myCurrentVertex
Standard_Boolean | myReversedSurface
Standard_Integer | myPCurveMode

## Constructor & Destructor Documentation

Standard_EXPORT TopoDSToStep_Tool::TopoDSToStep_Tool | ( |  | ) |

Standard_EXPORT TopoDSToStep_Tool::TopoDSToStep_Tool | ( | const MoniTool_DataMapOfShapeTransient & | M,
|  | const Standard_Boolean | FacetedContext
| ) |

## Member Function Documentation

Standard_EXPORT void TopoDSToStep_Tool::Bind | ( | const TopoDS_Shape & | S,
|  | const Handle(StepShape_TopologicalRepresentationItem)& | T
| ) |

Standard_EXPORT const TopoDS_Edge& TopoDSToStep_Tool::CurrentEdge | ( |  | ) | const

Standard_EXPORT const TopoDS_Face& TopoDSToStep_Tool::CurrentFace | ( |  | ) | const

Standard_EXPORT const TopoDS_Shell& TopoDSToStep_Tool::CurrentShell | ( |  | ) | const

Standard_EXPORT const TopoDS_Vertex& TopoDSToStep_Tool::CurrentVertex | ( |  | ) | const

Standard_EXPORT const TopoDS_Wire& TopoDSToStep_Tool::CurrentWire | ( |  | ) | const

Standard_EXPORT Standard_Boolean TopoDSToStep_Tool::Faceted | ( |  | ) | const

Standard_EXPORT Handle_StepShape_TopologicalRepresentationItem TopoDSToStep_Tool::Find | ( | const TopoDS_Shape & | S | ) |

Standard_EXPORT void TopoDSToStep_Tool::Init | ( | const MoniTool_DataMapOfShapeTransient & | M,
|  | const Standard_Boolean | FacetedContext
| ) |

Standard_EXPORT Standard_Boolean TopoDSToStep_Tool::IsBound | ( | const TopoDS_Shape & | S | ) |

Standard_EXPORT Standard_Real TopoDSToStep_Tool::Lowest3DTolerance | ( |  | ) | const

Standard_EXPORT const MoniTool_DataMapOfShapeTransient& TopoDSToStep_Tool::Map | ( |  | ) | const

void TopoDSToStep_Tool::operator delete | ( | void * | anAddress | ) | `[inline]`

void* TopoDSToStep_Tool::operator new | ( | size_t | size | ) | `[inline]`

void* TopoDSToStep_Tool::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

Standard_EXPORT Standard_Integer TopoDSToStep_Tool::PCurveMode | ( |  | ) | const

Standard_EXPORT void TopoDSToStep_Tool::SetCurrentEdge | ( | const TopoDS_Edge & | E | ) |

Standard_EXPORT void TopoDSToStep_Tool::SetCurrentFace | ( | const TopoDS_Face & | F | ) |

Standard_EXPORT void TopoDSToStep_Tool::SetCurrentShell | ( | const TopoDS_Shell & | S | ) |

Standard_EXPORT void TopoDSToStep_Tool::SetCurrentVertex | ( | const TopoDS_Vertex & | V | ) |

Standard_EXPORT void TopoDSToStep_Tool::SetCurrentWire | ( | const TopoDS_Wire & | W | ) |

Standard_EXPORT void TopoDSToStep_Tool::SetSurfaceReversed | ( | const Standard_Boolean | B | ) |

Standard_EXPORT Standard_Boolean TopoDSToStep_Tool::SurfaceReversed | ( |  | ) | const

## Field Documentation

TopoDS_Edge TopoDSToStep_Tool::myCurrentEdge `[private]`

TopoDS_Face TopoDSToStep_Tool::myCurrentFace `[private]`

TopoDS_Shell TopoDSToStep_Tool::myCurrentShell `[private]`

TopoDS_Vertex TopoDSToStep_Tool::myCurrentVertex `[private]`

TopoDS_Wire TopoDSToStep_Tool::myCurrentWire `[private]`

MoniTool_DataMapOfShapeTransient TopoDSToStep_Tool::myDataMap `[private]`

Standard_Boolean TopoDSToStep_Tool::myFacetedContext `[private]`

Standard_Real TopoDSToStep_Tool::myLowestTol `[private]`

Standard_Integer TopoDSToStep_Tool::myPCurveMode `[private]`

Standard_Boolean TopoDSToStep_Tool::myReversedSurface `[private]`

The documentation for this class was generated from the following file:

- TopoDSToStep_Tool.hxx